<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="text"/>
<xsl:param name="MID"/>  
<xsl:param name="TOKEN"/>  
<xsl:param name="SECRET"/>

<xsl:variable name="URL" select="'url'"/>
<xsl:variable name="SIG" select="'sig'"/>
<xsl:variable name="INNER_REQUEST" select="'InnerRequest'"/>
<xsl:variable name="REQUEST" select="'Request'"/>
<xsl:variable name="RESPONSE" select="'Response'"/>
<xsl:variable name="PARAMS" select="'Params'"/>
<xsl:variable name="STRING" select="'string'"/>
<xsl:variable name="IMG" select="'img'"/>

<xsl:include href="errors.xsl"/>

<xsl:template match="/data/rsp[@stat='ok']">

<xsl:element name="{$RESPONSE}">
        <xsl:attribute name="class">system</xsl:attribute>
        <xsl:attribute name="function">getFrob</xsl:attribute>
        <xsl:element name="{$PARAMS}">

            <xsl:if test="frob">
                <xsl:element name="{$REQUEST}">
                    <xsl:attribute name="class">system</xsl:attribute>
                    <xsl:attribute name="function">authorization</xsl:attribute>
                    <xsl:element name="{$PARAMS}">
                        <xsl:element name="{$STRING}">
                            <xsl:attribute name="name">frob</xsl:attribute>
                            <xsl:value-of select="frob"/>
                        </xsl:element>
                    </xsl:element>
                </xsl:element>

                <xsl:element name="{$REQUEST}">
                    <xsl:attribute name="class">system</xsl:attribute>
                    <xsl:attribute name="function">getToken</xsl:attribute>
                    <xsl:element name="{$PARAMS}">
                        <xsl:element name="{$STRING}">
                            <xsl:attribute name="name">frob</xsl:attribute>
                            <xsl:value-of select="frob"/>
                        </xsl:element>
                    </xsl:element>
                </xsl:element>

            </xsl:if>

        </xsl:element> 
    </xsl:element> 
</xsl:template>
</xsl:stylesheet>
